Bug 22065 - consideration: MAX_ETH_CARDS upped?
Summary: consideration: MAX_ETH_CARDS upped?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-11 16:40 UTC by Pekka Savola
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-12-11 16:40:37 UTC
This only affects 2.2.x kernels.

By default, you cannot have more than 16 eth interfaces.  Using quad port cards, this
_does_ now and then become used up.

The limit is defined in drivers/net/net_init.c.

99.9% or so never need this, but for the record...  Anyway, I don't see _any harm_ in raising that to,
say, 32 if an updated kernel packages were to be issued.

Comment 1 Daniel Roesen 2000-12-11 18:42:14 UTC
Hm, this could be a pitfall for people installing Red Hat with the RH kernel and
after enrolling their own kernel for some reasons get a kernel bailing out. This
modification would have to be documented somewhere obvious (perhaps in the
kernel dmesg output in boot phase).

Comment 2 Pekka Savola 2000-12-11 18:58:59 UTC
People who roll their own kernels and own a system with >16 interfaces shouldn't
be surprised by things like these.. And there are a lot of patches (e.g. soft-raid) which would
get you into trouble if you didn't know what you're doing.  Taking too much care of
these would be an endless circle.


Comment 3 Daniel Roesen 2000-12-11 21:34:34 UTC
Nod, you're absolutely right. Take my comment void. I vote for pumping up this
value too.

Comment 4 Bugzilla owner 2004-09-30 15:38:52 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.